
file_id = "PERIODIC_TIMER"

------------------
-- BEGIN SCRIPT --
------------------

local stat,val

------------------------------------------------------------
-- DeviceServer 起動時に一回だけスクリプトを実行する
------------------------------------------------------------
stat,val = get_shared_data("STARTUP_SCRIPT")
if not stat then error() end
if val == "" then
	if not inc_shared_data("STARTUP_SCRIPT") then error() end

	-----------------------------
	-- 起動時に一回だけ実行される
	-----------------------------

	-------------------------------------------------------------
	-- セッショントークンを自動的に作成する
	-- WebAPI でログイン認証を省略してアクセスする場合に利用する
	-- セッショントークン文字列を変更するときは、
	-- WebAPI を使用する側の設定も変更すること
	-------------------------------------------------------------

	local token
	stat,token= create_session("1234",true) 
	if not stat then error() end

end

